using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;
using System.Data;
using System.Security.Principal;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Configuration;

namespace lgwapp 
{
	/// <summary>
	/// Summary description for Global.
	/// </summary>
	public class Global : System.Web.HttpApplication
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		public Global()
		{
			InitializeComponent();
		}	
		
		public static void LoadApplicationData()
		{
			LoadDatabaseConnectionString();
			HttpContext.Current.Application["LGW_LICENSE"] = ConfigurationSettings.AppSettings["LGW_LICENSE"];
		}

		public static void LoadDatabaseConnectionString()
		{
			string strLGW = ConfigurationSettings.AppSettings["LGW_CONNSTR"];
			HttpContext.Current.Application["1_dbstr"] = strLGW;
			SqlConnection dbLGW = new SqlConnection(strLGW);
			try
			{
				dbLGW.Open();
				SqlCommand dbCmm = new SqlCommand("SELECT [db_id],conn_str FROM lgwDatabases WHERE [db_id]<>1", dbLGW);
				SqlDataReader dbReader = dbCmm.ExecuteReader();
				while(dbReader.Read())
				{
					HttpContext.Current.Application[Convert.ToString(dbReader[0])+"_dbstr"] = Convert.ToString(dbReader[1]);
				}
				dbReader.Close();
			}
			catch(Exception ex)
			{
				Logicweb.Data.ErrorHandler(Logicweb.Data.ErrorCode.Error, ex.Message);
			}
			finally
			{
				dbLGW.Close();
			}
		}
		
		protected void Application_Start(Object sender, EventArgs e)
		{
			HttpContext.Current.Application.Lock();
			try
			{
				LoadApplicationData();
			}
			catch(Exception ex)
			{
				throw ex;
			}
			finally
			{
				HttpContext.Current.Application.UnLock();
			}
		}
 
		protected void Session_Start(Object sender, EventArgs e)
		{

		}

		protected void Application_BeginRequest(Object sender, EventArgs e)
		{

		}

		protected void Application_EndRequest(Object sender, EventArgs e)
		{

		}

		protected void Application_AuthenticateRequest(Object sender, EventArgs e)
		{

		}

		protected void Application_Error(Object sender, EventArgs e)
		{

		}

		protected void Session_End(Object sender, EventArgs e)
		{

		}

		protected void Application_End(Object sender, EventArgs e)
		{

		}
			
		#region Web Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.components = new System.ComponentModel.Container();
		}
		#endregion
	}
}

